Bug 240666 - graphics/potrace: Update to 1.16
Summary: graphics/potrace: Update to 1.16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-18 12:47 UTC by Piotr Smyrak
Modified: 2019-09-23 21:10 UTC (History)
0 users

See Also:


Attachments
Patch for the port files (966 bytes, patch)
2019-09-18 12:47 UTC, Piotr Smyrak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Smyrak 2019-09-18 12:47:33 UTC
Created attachment 207603 [details]
Patch for the port files

September 17, 2019: Release 1.16

 This release consists of bugfixes and minor portability improvements.
 A potential arithmetic overflow was fixed. Rotation angles are now
 normalized to between -180 and 180. We now use binary file I/O on the
 OS/2 platform. The test suite tolerances were adjusted. The
 configuration option --enable-local-getopt was renamed as
 --with-included-getopt. Some build system improvements. Thanks to
 Henri Salo and Dave Yeo for reporting bugs and suggesting
 improvements.
Comment 1 commit-hook freebsd_committer 2019-09-23 21:09:01 UTC
A commit references this bug:

Author: swills
Date: Mon Sep 23 21:08:57 UTC 2019
New revision: 512679
URL: https://svnweb.freebsd.org/changeset/ports/512679

Log:
  graphics/potrace: Update to 1.16

  PR:		240666
  Submitted by:	Piotr Smyrak <ps.ports@smyrak.com> (maintainer)

Changes:
  head/graphics/potrace/Makefile
  head/graphics/potrace/distinfo
Comment 2 Steve Wills freebsd_committer 2019-09-23 21:10:12 UTC
Committed, thanks!